package kr.co.vividnext.sodalive.live.room.menu

class MenuConfigRepository(private val api: MenuApi) {
    fun getAllMenu(creatorId: Long, token: String) = api.getAllMenu(
        creatorId = creatorId,
        authHeader = token
    )

    fun saveMenu(menuId: Long, menu: String, token: String) = api.saveMenu(
        request = UpdateLiveMenuRequest(
            id = menuId,
            menu = menu,
            isActive = false
        ),
        authHeader = token
    )
}
